Page MenuHomePhabricator

Add report menu item to overflow menu on mobile
Closed, ResolvedPublic

Assigned To
Authored By
Madalina
Jul 25 2023, 11:41 AM
Referenced Files
F38174216: image.png
Oct 10 2023, 8:04 PM
F38174142: image.png
Oct 10 2023, 8:04 PM
F38174127: image.png
Oct 10 2023, 8:04 PM
F38174124: image.png
Oct 10 2023, 8:04 PM
F38174101: image.png
Oct 10 2023, 8:04 PM
F38174088: image.png
Oct 10 2023, 8:04 PM
F38174097: image.png
Oct 10 2023, 8:04 PM

Description

There is an existing overflow menu that DiscussionTools renders on mobile display. It is present adjacent to topic level headings. It currently contains a single menu item, "Edit".

In this task, we'll add a "Report" menu item to the menu, if ReportIncident's feature flag is enabled, and if the associated title is in a namespace that ReportIncident is configured to use.

Acceptance criteria

  • A "Report" menu item exists in the overflow menu on DiscussionTools mobile interface
  • Clicking the "Report" menu item launches the report incident app
  • Only a single report incident form can be open at a time
  • Thread item data in discussion tools is not shared across multiple invocations of opening the report incident app. One can verify this using Vue devtools to examine the "Form" store and see that data varies depending on which thread item one interacts with

Event Timeline

Change 948582 had a related patch set uploaded (by Eigyan; author: Eigyan):

[mediawiki/extensions/ReportIncident@master] Add ellipses menu (driven by hook) to topic header on mobile.

https://gerrit.wikimedia.org/r/948582

kostajh changed the task status from Open to In Progress.Sep 28 2023, 10:41 AM
kostajh claimed this task.
kostajh added a subscriber: eigyan.
kostajh renamed this task from Add ellipsis menu to topic header on mobile to Add report menu item to overflow menu on mobile.Sep 28 2023, 10:44 AM
kostajh updated the task description. (Show Details)

Change 961810 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/ReportIncident@master] [WIP] discussiontools: Integrate with overflow menu on mobile

https://gerrit.wikimedia.org/r/961810

Change 948582 abandoned by Kosta Harlan:

[mediawiki/extensions/ReportIncident@master] Add ellipses menu (driven by hook) to topic header on mobile.

Reason:

Next iteration in Ie9afbedb4f24cbd75eb48bb21dc9f6d8d732d853

https://gerrit.wikimedia.org/r/948582

Change 963264 had a related patch set uploaded (by Kosta Harlan; author: Kosta Harlan):

[mediawiki/extensions/ReportIncident@master] entrypoint: Mount Vue app via client-side code

https://gerrit.wikimedia.org/r/963264

Change 961810 merged by jenkins-bot:

[mediawiki/extensions/ReportIncident@master] discussiontools: Integrate with overflow menu

https://gerrit.wikimedia.org/r/961810

kostajh updated the task description. (Show Details)
kostajh removed a subscriber: eigyan.

Change 963264 abandoned by Kosta Harlan:

[mediawiki/extensions/ReportIncident@master] entrypoint: Mount Vue app via client-side code

Reason:

We will need it to be able to export the user's email confirmation status as a client side config var

https://gerrit.wikimedia.org/r/963264

For QA, I suggest creating a Patch Demo with DiscussionTools enabled, start a topic on a user's talk page, then look for the "Report" button in the overflow menu.

Test wiki created on Patch demo by DJacksonA using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/1f56c1bf6d/w

Test wiki on Patch demo by DJacksonA using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/1f56c1bf6d/w/

Test wiki created on Patch demo by DJacksonA using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/d35281ea7f/w

I have verified the implemented code is displaying and functioning as expected... Great job @kostajh!!!


Before Logging In:

image.png (911×467 px, 260 KB)
image.png (908×455 px, 207 KB)


After Logging In:

image.png (912×473 px, 260 KB)

image.png (892×444 px, 223 KB)

image.png (893×435 px, 236 KB)

image.png (893×456 px, 214 KB)

image.png (683×325 px, 128 KB)